SailorGram Alpha-fork

Rating: 
5
Your rating: None Average: 5 (1 vote)

As the original author Dax never released 0.9 version to openrepos, I decided to put this here.

The 0.9 Alpha version of SailorGram with the latest fixes from CODeRUS' Alpha-fork

https://github.com/CODeRUS/harbour-sailorgram/releases

New features

  • Supergroup and channel support
  • New faster library
  • Message edits

Known issues

  • Daemon is buggy and doesn't work reliably
  • Loading chats after long period of offline may cause inconsistencies with the backlog. (Deleting the offline storage under ~/.local/share/harbour-sailorgram may fix this)
Application versions: 
AttachmentSizeDate
harbour-sailorgram-0.9.7-2.armv7hl.rpm2.59 MB21/10/2017 - 15:52
harbour-sailorgram-0.9.7-2.i486.rpm2.71 MB21/10/2017 - 15:52
Changelog: 

(none)

Comments

t0t3u's picture

Same here. I've just installed the app but whenever I hit send button or send a message using enter key, the application crashes.

Jordi's picture

Since some days, Sailorgram crashes at start. Which instruction should I write in terminal to see what the problem is?

Thanks.

Edit 29.10: it's working now, don't know why, maybe a pkcon refresh inbetween...

riboon's picture

Maybe I've got the same problem. sailorgram starts and crashes immediatly.

[root@Sailfish nemo]# harbour-sailorgram 
harbour-sailorgram: /usr/lib/libQt5Qml.so.5: no version information available (required by harbour-sailorgram)
harbour-sailorgram: /usr/lib/libQt5Quick.so.5: no version information available (required by harbour-sailorgram)
harbour-sailorgram: /usr/lib/libQt5Gui.so.5: no version information available (required by harbour-sailorgram)
harbour-sailorgram: /usr/lib/libQt5Core.so.5: no version information available (required by harbour-sailorgram)
harbour-sailorgram: /usr/lib/libQt5Multimedia.so.5: no version information available (required by harbour-sailorgram)
harbour-sailorgram: /usr/lib/libQt5DBus.so.5: no version information available (required by harbour-sailorgram)
harbour-sailorgram: /usr/lib/libQt5Qml.so.5: no version information available (required by /usr/share/harbour-sailorgram/lib/libQTelegram.so.1)
harbour-sailorgram: /usr/lib/libQt5Network.so.5: no version information available (required by /usr/share/harbour-sailorgram/lib/libQTelegram.so.1)
harbour-sailorgram: /usr/lib/libQt5Gui.so.5: no version information available (required by /usr/share/harbour-sailorgram/lib/libQTelegram.so.1)
harbour-sailorgram: /usr/lib/libQt5Sql.so.5: no version information available (required by /usr/share/harbour-sailorgram/lib/libQTelegram.so.1)
harbour-sailorgram: /usr/lib/libQt5Quick.so.5: no version information available (required by /usr/share/harbour-sailorgram/lib/libQTelegram.so.1)
harbour-sailorgram: /usr/lib/libQt5Core.so.5: no version information available (required by /usr/share/harbour-sailorgram/lib/libQTelegram.so.1)
harbour-sailorgram: relocation error: /usr/share/harbour-sailorgram/lib/libQTelegram.so.1: symbol _ZNK18QAbstractListModel7siblingEiiRK11QModelIndex, version Qt_5 not defined in file libQt5Core.so.5 with link time reference

Someone knows how to resolve this?

Package qt5-qtdeclarative is installed and libs linked:

[root@Sailfish nemo]# ls -l /usr/lib/libQt5Qml.so.5
lrwxrwxrwx 1 root root 18 Oct 29 16:16 /usr/lib/libQt5Qml.so.5 -> libQt5Qml.so.5.2.2

sailfish version 2.0.5.6

 

explit's picture

Thanks Man!

Bocephus's picture

Anything that is done to further Telegram support on Sailfish is welcome. Thanks!